%define dist Mail-Mbox-MessageParser
Name: perl-%dist
Version: 1.14
Release: alt1

Summary: A fast and simple mbox folder reader
License: GPL
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

BuildArch: noarch
Requires: perl(Storable.pm) perl(FileHandle/Unget.pm) perl(WeakRef.pm)
BuildPreReq: perl(Storable.pm) perl(FileHandle/Unget.pm) perl(WeakRef.pm)
BuildRequires: perl-devel

%description
This module implements a fast but simple mbox folder reader.
One of three implementations (Cache, Grep, Perl) will be used
depending on the wishes of the user and the system configuration.
The first implementation is a cached-based one which stores email
information about mailboxes on the file system.  Subsequent accesses
will be faster because no analysis of the mailbox will be needed.
The second implementation is one based on GNU grep, and is significantly
faster than the Perl version for mailboxes which contain very large (10MB)
emails.  The final implementation is a fast Perl-based one which should
always be applicable.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/Mail*
%perl_vendor_man3dir/Mail*

%changelog
* Tue May 18 2004 Alexey Tourbin <at@altlinux.ru> 1.14-alt1
- initial revision (required by recent grepmail)
- License: GPL
